Bug 79438 - Add release date to the About dialog box
Summary: Add release date to the About dialog box
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
: 87021 (view as bug list)
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2014-05-30 06:34 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-11 08:31 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Open Office has release date in its about dialog (50.07 KB, image/png)
2014-05-31 00:53 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-30 06:34:55 UTC
1) I think it would be great to included the date of release on the about dialog, somewhat similar to how the 4.3 beta shows it, as i think it would be easy for a user to see how old there version is. Possible display:

Version: 4.2.4.2
Release Date: 2014-05-08
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8

2) With the release date available, its possible to program into the dialog to encourage the user to upgrade when it has been over 6 weeks since its release date. The end of life dates could also be included in the programming so that when it has been reached, a different worded message could display encouraging the user to upgrade.

3) How about the latest stable and fresh version numbers and release dates appearing in the dialog. Of course for this to happen, a user would have to be online, so that it can be gotten from a dedicated url, and wouldnt have to be refreshed unless its been 2 weeks since its last check.

4) How about a defined fixed size for the dialog box, as when i checked over time, the box size fluctuates alot, as can be seen in attachment 99720 [details].
Comment 1 Kevin Suo 2014-05-30 06:59:33 UTC
This sounds reasonable, marking as NEW.
Comment 2 Yousuf Philips (jay) (retired) 2014-05-31 00:53:08 UTC
Created attachment 100183 [details]
Open Office has release date in its about dialog

Was poking around in open office and noticed they had the release date in their about dialog.
Comment 3 brij 2014-12-07 11:39:44 UTC
This looks similar
https://bugs.freedesktop.org/show_bug.cgi?id=87021. Please check.
Comment 4 V Stuart Foote 2014-12-07 15:52:40 UTC
*** Bug 87021 has been marked as a duplicate of this bug. ***
Comment 5 V Stuart Foote 2014-12-07 16:03:34 UTC
Bumping for UX-advise

My thoughts as in https://bugs.freedesktop.org/show_bug.cgi?id=87021#c3

Agree items 1) & 2) that Date on the about dialog on release builds would alert a user to how far from current release they are, the EOL alert and timed check for update suggestion might be useful.

Reject item 3) as clutter,  & item 4) not an issue.
Comment 6 mahfiaz 2014-12-07 20:24:30 UTC
As a Linux user I'd vote down any (especially new) notices about updates etc for package-managed versions. Let the update reach me through repos when it's ready.

So I'd count only 1) as desirable, no for 2-4.
Comment 7 thangalin 2014-12-07 22:46:12 UTC
Another scenario to consider.

The PPA (Ubuntu Linux, 64-bit) can sometimes lag behind a reasonably stable release candidate. It is not uncommon for a release candidate to have fixed a severe bug that warrants upgrading. This means manually installing, rather than using the package manager.

This can lead to confusion: does installing the latest release remove the old PPA version? Where are the files installed? There are other uncertainties, but you get the picture: it's a black box (for many users). (Yes, soffice --version will give a version number, but that's assuming Linux users are familiar with the command line, which isn't necessarily true with all the various distros available.)

By presenting a clear build date in the About box, it is easy to determine whether or not the latest version is installed correctly and running.
Comment 8 Yousuf Philips (jay) (retired) 2015-05-02 22:19:07 UTC
(In reply to mahfiaz from comment #6)
> As a Linux user I'd vote down any (especially new) notices about updates etc
> for package-managed versions. Let the update reach me through repos when
> it's ready.

Taking ubuntu as an example linux distro, they only provide point release updates in their repos. So if you have ubuntu 14.04 LTS, you'll never get a notice to upgrade from 4.2 to 4.3 or 4.4 throughout its 5 year life span. you have ubuntu 12.04 LTS still stuck on 3.5. So the only way an ubuntu user would get an updated version is a) by PPA or b) by downloading it from libreoffice.org.

(In reply to thangalin from comment #7)
> The PPA (Ubuntu Linux, 64-bit) can sometimes lag behind a reasonably stable
> release candidate. It is not uncommon for a release candidate to have fixed
> a severe bug that warrants upgrading. This means manually installing, rather
> than using the package manager.

My experience with the libreoffice ppa is that they normally dont lag behind (may have lagged behind once that i remember because the maintainer was on holiday), but have seen lagging in point releases through the repo.
Comment 9 Robinson Tryon (qubit) 2015-12-13 11:24:12 UTC Comment hidden (obsolete)
Comment 10 Sudarshan K 2016-10-16 15:22:26 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> (In reply to mahfiaz from comment #6)
> > As a Linux user I'd vote down any (especially new) notices about updates etc
> > for package-managed versions. Let the update reach me through repos when
> > it's ready.
> 
> Taking ubuntu as an example linux distro, they only provide point release
> updates in their repos. So if you have ubuntu 14.04 LTS, you'll never get a
> notice to upgrade from 4.2 to 4.3 or 4.4 throughout its 5 year life span.
> you have ubuntu 12.04 LTS still stuck on 3.5. So the only way an ubuntu user
> would get an updated version is a) by PPA or b) by downloading it from
> libreoffice.org.
> 
> (In reply to thangalin from comment #7)
> > The PPA (Ubuntu Linux, 64-bit) can sometimes lag behind a reasonably stable
> > release candidate. It is not uncommon for a release candidate to have fixed
> > a severe bug that warrants upgrading. This means manually installing, rather
> > than using the package manager.
> 
> My experience with the libreoffice ppa is that they normally dont lag behind
> (may have lagged behind once that i remember because the maintainer was on
> holiday), but have seen lagging in point releases through the repo.

Hey Jay,
Could you give me some hints as to how to go about adding this ?
I know how I would add the date. But I don't know how I would go about obtaining the date ? Is this date saved somewhere locally whenevr the user upgrades their version of libo or would I have to "download" this from somewhere. 
I am aware of how I would add the date to the dialog box but not how I would actually obtain the date (and from where).
Thanks.
Comment 11 Yousuf Philips (jay) (retired) 2016-10-16 20:08:08 UTC
Hi Sudarshan,

The date is shown in the daily builds but doesnt appear in the release builds, like below.

Version: 5.1.5.2
Build ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group

Version: 5.3.0.0.alpha0+
Build ID: 45a7137c6796f33fbf5b8f7cb64e293260d991cb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-13_23:38:06
Locale: en-US (en_US.UTF-8); Calc: group
Comment 12 Xisco Faulí 2017-09-11 08:31:49 UTC
Dear developer,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.